#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include "convert.h"

#define OK   0
#define ERR -1

const char *progname;


int main (int argc, const char *argv[])
{
	int fd;
	ulong flen;
	void *table, *file;
	
	
	progname = argv[0];
	
	table = malloc (65536L);
	file = malloc (76800L);
	if (!table || !file)
		return ERR;
	
	printf ("loading avp_gray.dat\n");
	fd = open ("avp_gray.dat", O_RDONLY);
	if (fd == -1) {
		perror (progname);
		return ERR;
	}
	flen = read (fd, file, 76800L);
	if (flen != 76800) {
		perror (progname);
		return ERR;
	}
	close (fd);
	
	printf ("creating table\n");
	j_clrtab (table);
	j_mktab (table);
	
	printf ("converting data\n");
	j_ctobp (table, file, file, 76800L);
	
	printf ("saving out.dat\n");
	fd = open ("out.dat", O_WRONLY | O_CREAT | O_TRUNC, 0x1a4);
	if (fd == -1) {
		perror (progname);
		return ERR;
	}
	flen = write (fd, file, 76800L);
	if (flen != 76800L) {
		perror (progname);
		return ERR;
	}
	close (fd);
	
	
	return OK;
}